Skip to main content
POST
/
api
/
dag
Dag Endpoint
curl --request POST \
  --url https://your-domain.com/api/dag \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "q": "<string>",
  "conversation_id": "<string>",
  "agent_id": "<string>",
  "token": "<string>",
  "image_ids": "<string>",
  "user_metadata": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key (fim_xxx) or JWT token

Body

application/json

Request body for ReAct/DAG streaming endpoints.

q
string
required
conversation_id
string | null
agent_id
string | null
token
string | null
image_ids
string | null
user_metadata
string | null

Response

Successful Response